Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
The Vim Configuration of Champions. Uses Vundle to manage roughly 436 plugins.
VimL Ruby
branch: master

This branch is 1 commit ahead, 368 commits behind mutewinter:master

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
.backup
.tmp
.undo
config/windows
screenshots
.gitignore
README.md
Rakefile
autocmds.vim
bindings.vim
config.vim
functions.vim
gvimrc
munho.vim
platforms.vim
plugin_config.vim
vimrc
vundle.vim

README.md

The Vim Configuration of Champions

See dot_vim's Stats on GitEgo

Installation

  1. git clone http://github.com/mutewinter/dot_vim.git in your home folder.
  2. mv dot_vim .vim
  3. cd .vim
  4. rake vim:link to make the .vimrc symbolic link.
  5. Install Vundle with git clone http://github.com/gmarik/vundle.git bundle/vundle
  6. Run Vim and type :BundleInstall to install the plugins with Vundle.
  7. Enjoy enhanced productivity, increased levitation, reduced watermelon-related accidents, and startling sex appeal.

Screenshots

MacVim / Windows gVim

MacVim Windows gVim

Requirements

Mac

Windows

Bindings

  • Escape is not bound to Escape, instead, typing jk in insert mode escapes into normal mode. Typing kj escapes in saves the current buffer and escapes into normal mode. See this section of bindings.vim for more details.
  • Pressing enter in normal mode saves the current buffer.

Notes

Be sure to always edit the vimrc using ,v, which opens the vimrc in the .vim folder. Vim has a nasty habit of overriding symlinks.

Plugin Installation / Requirements

Here's a list of plugins that require further installation or have dependancies.

  • Command-T Needs compilation, see its readme for more instructions.
  • Fugitive Requires Git to be installed.
  • syntastic Requires many different binaries installed depending on what filetypes you want it to check. See the FAQ for more information.
  • ack.vim Requires ack to be installed.
  • Menlo for Powerline The custom font I'm using for vim-powerline.
  • MultiMarkdown Required for Markdown-Preview.

Plugin List

Note: Auto generated by rake plugins:update_readme

That's 63 plugins, holy crap.

Something went wrong with that request. Please try again.